Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JDBCConnectionPoolMBean

public interface JDBCConnectionPoolMBean
extends DeploymentMBean

This bean defines a JDBC connection pool.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`java.lang.String` | `getACLName()`
`int` | `getCapacityIncrement()` The increment by which the pool capacity is expanded.
`java.lang.String` | `getDriverName()` The JDBC driver class name.
`int` | `getInitialCapacity()` The initial number of connections.
`int` | `getLoginDelaySeconds()` The number of second to delay between logins when creating the pool.
`int` | `getMaxCapacity()` The maximum number of connections.
`java.util.Properties` | `getProperties()` The list of properties passed to the the driver.
`int` | `getRefreshMinutes()`
`int` | `getShrinkPeriodMinutes()`
`boolean` | `getSupportsLocalTransaction()` This property applies to XA connection pools only, and is ignored for non-XA driver.
`boolean` | `getTestConnectionsOnRelease()`
`boolean` | `getTestConnectionsOnReserve()`
`java.lang.String` | `getTestTableName()`
`java.lang.String` | `getURL()` The database connection URL.
`boolean` | `isShrinkingEnabled()` Set to `true` to enable pool shrinking.
`void` | `setACLName(java.lang.String name)`
`void` | `setCapacityIncrement(int capacity)`
`void` | `setDriverName(java.lang.String driverClassName)`
`void` | `setInitialCapacity(int capacity)`
`void` | `setJDBCConnectionPoolRuntime(weblogic.management.runtime.JDBCConnectionPoolRuntimeMBean runtime)`
`void` | `setJDBCXADebugLevel(int level)`
`void` | `setLoginDelaySeconds(int secs)`
`void` | `setMaxCapacity(int capacity)`
`void` | `setProperties(java.util.Properties props)`
`void` | `setRefreshMinutes(int minutes)`
`void` | `setShrinkingEnabled(boolean enable)`
`void` | `setShrinkPeriodMinutes(int minutes)`
`void` | `setSupportsLocalTransaction(boolean support)`
`void` | `setTestConnectionsOnRelease(boolean enable)`
`void` | `setTestConnectionsOnReserve(boolean enable)`
`void` | `setTestTableName(java.lang.String table)`
`void` | `setURL(java.lang.String url)`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getACLName

    public java.lang.String getACLName()

### setACLName

    public void setACLName(java.lang.String name)
                    throws javax.management.InvalidAttributeValueException

### getURL

    public java.lang.String getURL()

  The database connection URL.

### setURL

    public void setURL(java.lang.String url)
                throws javax.management.InvalidAttributeValueException

### getDriverName

    public java.lang.String getDriverName()

  The JDBC driver class name.

### setDriverName

    public void setDriverName(java.lang.String driverClassName)
                       throws javax.management.InvalidAttributeValueException

### getProperties

    public java.util.Properties getProperties()

  The list of properties passed to the the driver.

### setProperties

    public void setProperties(java.util.Properties props)
                       throws javax.management.InvalidAttributeValueException

### getLoginDelaySeconds

    public int getLoginDelaySeconds()

  The number of second to delay between logins when creating the pool.

  Default Value: 0

### setLoginDelaySeconds

    public void setLoginDelaySeconds(int secs)
                              throws javax.management.InvalidAttributeValueException

  Legal Minimum Value: 0

### getInitialCapacity

    public int getInitialCapacity()

  The initial number of connections.

  Default Value: 0

### setInitialCapacity

    public void setInitialCapacity(int capacity)
                            throws javax.management.InvalidAttributeValueException

  Legal Minimum Value: 0

### getMaxCapacity

    public int getMaxCapacity()

  The maximum number of connections.

  Default Value: 1

### setMaxCapacity

    public void setMaxCapacity(int capacity)
                        throws javax.management.InvalidAttributeValueException

  Legal Value: value > 0

### getCapacityIncrement

    public int getCapacityIncrement()

  The increment by which the pool capacity is expanded.

  Default Value: 1

### setCapacityIncrement

    public void setCapacityIncrement(int capacity)
                              throws javax.management.InvalidAttributeValueException

### isShrinkingEnabled

    public boolean isShrinkingEnabled()

  Set to `true` to enable pool shrinking.

  Default Value: true

### setShrinkingEnabled

    public void setShrinkingEnabled(boolean enable)
                             throws javax.management.InvalidAttributeValueException

### getShrinkPeriodMinutes

    public int getShrinkPeriodMinutes()

  Default Value: 15

### setShrinkPeriodMinutes

    public void setShrinkPeriodMinutes(int minutes)
                                throws javax.management.InvalidAttributeValueException

  Legal Minimum Value: 0

### getRefreshMinutes

    public int getRefreshMinutes()

### setRefreshMinutes

    public void setRefreshMinutes(int minutes)
                           throws javax.management.InvalidAttributeValueException

### getTestTableName

    public java.lang.String getTestTableName()

### setTestTableName

    public void setTestTableName(java.lang.String table)
                          throws javax.management.InvalidAttributeValueException

### getTestConnectionsOnReserve

    public boolean getTestConnectionsOnReserve()

  Default Value: false

### setTestConnectionsOnReserve

    public void setTestConnectionsOnReserve(boolean enable)
                                     throws javax.management.InvalidAttributeValueException

### getTestConnectionsOnRelease

    public boolean getTestConnectionsOnRelease()

  Default Value: false

### setTestConnectionsOnRelease

    public void setTestConnectionsOnRelease(boolean enable)
                                     throws javax.management.InvalidAttributeValueException

### setJDBCConnectionPoolRuntime

    public void setJDBCConnectionPoolRuntime(weblogic.management.runtime.JDBCConnectionPoolRuntimeMBean runtime)
                                      throws javax.management.InvalidAttributeValueException

### setJDBCXADebugLevel

    public void setJDBCXADebugLevel(int level)
                             throws javax.management.InvalidAttributeValueException

### getSupportsLocalTransaction

    public boolean getSupportsLocalTransaction()

  This property applies to XA connection pools only, and is ignored for non-XA driver. Whether the XA driver supports SQL with no global transaction.

  Default Value: false

### setSupportsLocalTransaction

    public void setSupportsLocalTransaction(boolean support)
                                     throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD